package com.willalp.files.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.files.domain.HsOrgPersonnelFiles;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 机构人员档案Mapper接口
 *
 * @author willalp
 * @date 2022-08-01
 */
public interface HsOrgPersonnelFilesMapper extends BaseMapper<HsOrgPersonnelFiles> {
    /**
     * 查询机构人员档案列表
     *
     * @param hsOrgPersonnelFiles 机构人员档案
     * @return 机构人员档案集合
     */
    List<HsOrgPersonnelFiles> selectHsOrgPersonnelFilesList(HsOrgPersonnelFiles hsOrgPersonnelFiles);


    @Select("SELECT\n" +
            "\tuser_code,\n" +
            "\thopf.user_name,\n" +
            "\thopf.phone,\n" +
            "\tsuo.user_type\n" +
            "FROM\n" +
            "\ths_org_personnel_files hopf\n" +
            "\tleft JOIN sys_user_organization suo on hopf.user_code = suo.login_name\n" +
            "\tWHERE suo.organization_code = 'G00000007' " +
            "AND hopf.is_delete = 0" +
            "\tGROUP BY hopf.user_code")
    List<HsOrgPersonnelFiles> templateHsOrgPersonnelFilesList();
}
